<template>
	<view class="uni-page-modal-3200-view">
		<view class="v-content">
			<view class="dv-panel dv-panel-bkcolor">
				<div class="dv-panel-input">
					<!-- HTML页面类型显示 -->
					<div class="dv-viewHtml-Panel" v-if="ViewHtml_Panel" v-html="ViewHtml_Panel">
						<!-- <div>
						  <label class="item-label">任务编码:</label>
						  <span class="item-span">TA240318-00005</span>
						</div> -->
					</div>
					<!-- 自定义表单类型显示 -->
					<div v-if="!ViewHtml_Panel">
						<OIForm :form="detail2_styledef.form" viewMode></OIForm>

					</div>
				</div>
			</view>
		</view>

		<view class="view-floor" v-if="param.ViewPage.Page_Button">
			<!-- <button type="default" @click="cancel" class="btn_cancel" 
		  :style="{'width':param.ViewPage.Page_Button.length>1?'39.5%':'48.5%'}">返回</button> -->
			<button type="default" class="btn_refresh" :class="btn.disabled?'btn_disabled':''" :disabled="btn.disabled"
				v-for="(btn,index) in param.ViewPage.Page_Button" v-if="index<2" @click="onBtnClick(btn)"
				:style="{'width':param.ViewPage.Page_Button.length==1?'96%':param.ViewPage.Page_Button.length>2?'39.5%':'48%'}">{{btn.ShowName}}</button>

			<view class="uni-padding-wrap" v-if="param.ViewPage.Page_Button.length>2">
				<view class="uni-btn-v">
					<a @tap="actionSheetTap">
						<Icon class="mobox-normal-more" />
					</a>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
	import Base64 from '../../components/js-base64/base64.js'
	import classUtils from "@/js/utils.js"
	import {
		appGetInfo,
		dictGetInfo
	} from "@/api/mobox.js"
	import {
		getUIStyleInfo,
		runCustomEvent,
		dataObjQuery
	} from "@/api/data.js"
	import OIForm from '@/components/oi-form/index.vue'

	export default {
		modules: {
			Base64,
		},
		components: {
			OIForm
		},
		onBackPress(e) {
			// console.log("监听返回按钮事件",e);
			var eventChannel = this.$scope.eventChannel;
			// const eventChannel = this.getOpenerEventChannel();
			eventChannel.emit('ExitViewEvent', "");
			// uni.navigateBack({
			// 	delta:1 ,//返回层数，2则上上页
			// });
			// return true;
		},
		data() {
			return {
				title: this.translateSys('add2'),
				param: {},
				styleDef: {
					form: {
						items: []
					}
				},
				detail2_styledef: {
					form: {
						items: []
					},
				},
				// detail2StyleDefList:[],
				//获取数据类的HTML页面
				ViewHtml_Panel: "",
				ViewPageHtml_Show: {
					name: "",
					event: {
						id: "",
						name: ""
					}
				},
			};
		},
		async onLoad(options) {
			// console.log(options);
			uni.setNavigationBarTitle({
				title: options.titlename
			}); //设置顶部标题 
			this.$data.title = options.titlename;
			this.$data.param = JSON.parse(options.param);
			console.log(this.$data.param);
			this.$data.styleDef = JSON.parse(options.style);
			// console.log(this.$data.styleDef);
			if (this.param.ViewPage.View_UIDef.ui_type == "HTML页面") {
				// HTML页面
				//获取数据类的HTML页面
				this.Html_UIstyleGetInfo(this.param.DataCls.id, this.param.ViewPage.View_UIDef.id, 'viewPage');
			} else {
				this.Detail2_UIstyleGetInfo(this.param.DataCls.id, this.param.ViewPage.View_UIDef.id);
			}


			//进入页面后事件
			var eventid = this.param.ViewPage.Enter_View_Event?.id;
			if (eventid) {
				try {
					var obj_attr = {
						'S_ID': this.styleDef.form.objId
					};
					this.styleDef.form.attrs.forEach((attr) => {
						obj_attr[attr.name] = attr.value;
					});
					// console.log(obj_attr);
					var input_param = Base64.encode(JSON.stringify(obj_attr));
					this.runCustomEvent({
						ed_type: 0,
						start_transaction: true,
						class_id: this.param.DataCls.id,
						event_id: eventid,
						data_obj_id: this.styleDef.form.objId,
						obj_attr,
						input_param,
					});
				} catch (ex) {
					var tip = typeof ex == "string" ? ex : ex.message;
					uni.showModal({
						title: this.translateSys("error"),
						content: tip,
						showCancel: false,
						confirmText: this.translateSys('close')
					});
				}
			}
		},
		methods: {
			setData(obj) {
				let that = this;
				let keys = [];
				let val, data;

				Object.keys(obj).forEach(function(key) {
					keys = key.split(".");
					val = obj[key];
					data = that.$data;
					keys.forEach(function(key2, index) {
						if (index + 1 == keys.length) {
							that.$set(data, key2, val);
						} else {
							if (!data[key2]) {
								that.$set(data, key2, {});
							}
						}
						data = data[key2];
					});
				});
			},

			async Detail2_UIstyleGetInfo(class_id, style_id) { //获取自定义表单样式
				try {
					var $this = this;
					var dataInfo = {
						class_id: class_id,
						ui_style_id: style_id,
					};
					const result = await getUIStyleInfo(dataInfo)
					var styledef = "";
					if (result.style_def) {
						//mobox2的style_def是json字符串
						styledef = result.style_def.replace(/\\/g, "");
						//mobox3的style_def是base64字符串
						if (!result.style_def.includes('"')) styledef = Base64.decode(result
							.style_def);
					}
					$this.$data.detail2_styledef = result.style_def ? JSON.parse(styledef) : {};
					$this.$data.detail2_styledef.SelBut_Checked = false;
					// console.log($this.$data.detail2_styledef);
					if ($this.detail2_styledef.form?.items) {
						$this.styleDef.form.attrs.forEach((attr) => {
							// info[attr.name]=attr.value;
							$this.detail2_styledef.form.items.forEach(async (ele, index) => {
								if (ele.name != 'Layout') {
									if (ele.fieldId == attr.name) {
										ele.value = attr.value;
									}
								} else if (ele.name == 'Layout') {
									ele.setting.colList.forEach(async (col, key) => {
										if (col) {
											if (col.fieldId == attr.name) {
												col.value = attr.value;
											}
										}
									});
								}
							});
						});
					}
					setTimeout(function() {
						var detail2_styledef = JSON.parse(JSON.stringify($this.detail2_styledef));
						$this.detail2_styledef = [];
						$this.detail2_styledef = detail2_styledef;
					}, 100);
				} catch (ex) {
					// console.log(ex);
					let tip = typeof ex.errMsg == "string" ? ex.errMsg : ex
					uni.showModal({
						title: this.translateSys("error") + "1.1",
						content: tip,
						showCancel: false,
						confirmText: this.translateSys('close')
					});
				}

			},
			async Html_UIstyleGetInfo(class_id, style_id) { //获取自定义表单样式

				try {
					var $this = this;
					var dataInfo = {
						class_id: class_id,
						ui_style_id: style_id,
					};
					const result = await getUIStyleInfo(dataInfo)
					var styledef = "";
					if (result.style_def) {
						//mobox2的style_def是json字符串
						styledef = result.style_def.replace(/\\/g, "");
						//mobox3的style_def是base64字符串
						if (!result.style_def.includes('"')) styledef = Base64.decode(result
							.style_def);
					}
					$this.ViewPageHtml_Show = result.style_def ? JSON.parse(styledef) : {};
					// console.log($this.ViewPageHtml_Show);
					var obj_attr = {};
					$this.styleDef.form.attrs.forEach((attr) => {
						obj_attr[attr.name] = attr.value;
					});
					obj_attr['id'] = $this.styleDef.form.objId;

					var eventid = $this.ViewPageHtml_Show.event.id;
					if (!$this.ViewPageHtml_Show.event.id.includes('{'))
						eventid = '{' + $this.ViewPageHtml_Show.event.id + '}';
					//HTML页面事件
					$this.runCustomEvent({
						ed_type: 0,
						start_transaction: true,
						class_id: $this.param.DataCls.id,
						event_id: eventid,
						data_obj_id: $this.styleDef.form.objId,
						obj_attr,
					});
				} catch (ex) {
					// console.log(ex);
					let tip = typeof ex.errMsg == "string" ? ex.errMsg : ex
					uni.showModal({
						title: this.translateSys("error") + "6.1",
						content: tip,
						showCancel: false,
						confirmText: this.translateSys('close')
					});
				}


			},
			//查询数据类数据信息
			async dataObjQuery(clsid, where, index, key) {
				try {
					var $this = this;
					var dataInfo = {
						class_id: clsid,
						attrs: [],
						condition: this.toWhereBase64String("" + where + ""),
						prj_rel_type: "",
						order_by: this.orderby,
						page_size: 99999,
						page: 1,
						query_id: '',
					};
					const result = await dataObjQuery(dataInfo)
					// console.log(result);
					if (result) {
						$this.detail1StyleDefList = [];
						result.obj_list.forEach((obj) => {
							var info = {
								S_ID: obj.id,
							};
							obj.attr_list.forEach((attr) => {
								info[attr.name] = attr.value;
							});
							if (key != -1)
								$this.detail2_styledef.form.items[index].setting.colList[key]
								.value2 = info.S_NAME;
							else
								$this.detail2_styledef.form.items[index].value2 = info.S_NAME;
						});
						// console.log($this.detail2_styledef);
					}
				} catch (ex) {
					var tip = typeof ex == "string" ? ex : ex.message;
					uni.showModal({
						title: this.translateSys("error") + "5.2",
						content: tip,
						showCancel: false,
						confirmText: this.translateSys('close')
					});
				}
			},
			onCheckBoxValue(e) { //绑定Model值
				let values = e.detail.value || []
				var attr = item.fieldId;
				this.detail2_styledef.form.model[attr] = values;

			},
			onRadioBoxValue(e) { //绑定Model值
				let values = e.detail.value || ""
				var attr = item.fieldId;
				this.detail2_styledef.form.model[attr] = values;
			},
			onModelValue(item) {
				var attr = item.fieldId;
				this.detail2_styledef.form.model[attr] = item.value;
			},
			onEnterChange(item) {
				var attr = item.fieldId;
				this.detail2_styledef.form.model[attr] = item.value;
			},
			//点击按钮
			onBtnClick(btn) {
				var that = this
				if (btn.Prompt) {
					uni.showModal({
						title: this.translateSys("tip"),
						content: btn.PromptContent || this.translate("are_you_sure"),
						cancelText: this.translateSys('ok'),
						confirmText: this.translateSys('cancel'),
						success: function(res) {
							if (res.cancel) {
								that.onButtonClicked(btn);
								// } else if (res.cancel) {
								// 	console.log('用户点击取消');
							}
						}
					});
				} else that.onButtonClicked(btn);
			},
			//点击按钮列表
			actionSheetTap() {
				var that = this
				var itemlist = [];
				this.param.ViewPage.Page_Button.forEach((btn, index) => {
					if (index >= 2)
						itemlist.push(btn.ShowName);
				});
				uni.showActionSheet({
					// title: '按钮列表',
					itemList: itemlist,
					success: (e) => {
						console.log(e.tapIndex);
						var btn = that.param.ListPage.Page_Button[e.tapIndex];
						if (btn.Prompt) {
							uni.showModal({
								title: this.translateSys("tip"),
								content: btn.PromptContent || this.translate("are_you_sure"),
								cancelText: this.translateSys('ok'),
								confirmText: this.translateSys('cancel'),
								success: function(res) {
									if (res.cancel) {
										that.onButtonClicked(btn);
										// } else if (res.cancel) {
										// 	console.log('用户点击取消');
									}
								}
							});
						} else that.onButtonClicked(btn);
					}
				})
			},
			//处理相关按钮
			async onButtonClicked(btn) {
				var style = this.styleDef || '';

				try {
					btn.disabled = true
					var enviroment = {
						button: "top",
						button_name: btn.ShowName,
						cls_id: btn.Cls_ID,
						function: "3200",
						master: {},
					};
					if (btn.FunCode == "TriggerEvent") {
						await this.triggerEvent(btn, style, enviroment);
					} else {
						btn.disabled = false
						uni.showModal({
							title: this.translateSys("tip"),
							content: this.translateSys("unrealized"),
							showCancel: false,
							confirmText: this.translateSys('close')
						});
					}
				} catch (ex) {
					btn.disabled = false
					var tip = typeof ex == "string" ? ex : ex.message;
					uni.showModal({
						title: this.translateSys("error") + "2",
						content: tip,
						showCancel: false,
						confirmText: this.translateSys('close')
					});
				}
			},
			//执行触发事件
			async triggerEvent(btn, style, enviroment) {
				try {
					btn.disabled = true
					var obj_attr = {
						'S_ID': this.styleDef.form.objId
					};
					style.form.attrs.forEach((attr) => {
						obj_attr[attr.name] = attr.value;
					});
					// console.log(obj_attr);
					// let input_param = Base64.encode(JSON.stringify(obj_attr));
					// return;
					await this.runCustomEvent({
						ed_type: 0,
						start_transaction: true,
						class_id: btn.Cls_ID,
						event_id: btn.Event.ID,
						data_obj_id: this.styleDef.form.objId,
						obj_attr: obj_attr,
					});
					btn.disabled = false
				} catch (ex) {
					var tip = typeof ex == "string" ? ex : ex.message;
					uni.showModal({
						title: this.translateSys("error") + "3",
						content: tip,
						showCancel: false,
						confirmText: this.translateSys('close')
					});
				}
			},
			//事件
			async runCustomEvent(dataInfo) {
				try {
					var $this = this;
					const result = await runCustomEvent(dataInfo)
					console.log(result);
					if (result.ret != 0) {
						var tip = result.err_info ? typeof result.err_info == 'string' ? result
							.err_info : result.err_info.join('<br/>') : '';
						if (result.ret == 801) uni.showModal({
							title: this.translateSys("tip"),
							content: tip,
							showCancel: false,
							confirmText: this.translateSys('close')
						});
						else uni.showModal({
							title: this.translateSys("tip"),
							content: tip + ',' + this.translateSys('tip') + ':' + result.ret,
							showCancel: false,
							confirmText: this.translateSys('close')
						});
						return false;
					} else {
						var tip = result.info ? typeof result.info == 'string' ? result.info : result
							.info.join('<br/>') : '';
						if (tip) uni.showModal({
							title: this.translateSys("tip"),
							content: tip,
							showCancel: false,
							confirmText: this.translateSys('close')
						});

						if (result.result_type == 0 && result.action) {
							result.action.forEach(item => {
								if (item.action_type == "goback_to_pre_page") { //返回上一页
									var value = item.value;
									// const eventChannel = this.$scope.eventChannel;
									// // const eventChannel = this.getOpenerEventChannel();
									// eventChannel.emit('ExitViewEvent',"");
									uni.navigateBack({
										delta: 1, //返回层数，2则上上页
									});
								} else if (item.action_type == "hidden_button") { //隐藏按钮
									var value = item.value;
									value.forEach(btn => {
										var index = $this.param.ViewPage.Page_Button
											.findIndex(button => button.ShowName ==
												btn)
										if (index > -1)
											$this.param.ViewPage.Page_Button.splice(
												index, 1)
									})
								} else if (item.action_type == "set_panel_html") { //显示Html页面
									// var value = item.value;
									$this.ViewHtml_Panel = item.value;

								}

							});
						} else {
							var tip = result.info ? typeof result.info == 'string' ? result.info :
								result.info.join('<br/>') : '';
							if (tip) uni.showModal({
								title: this.translateSys("tip"),
								content: tip,
								showCancel: false,
								confirmText: this.translateSys('close')
							});
						}
					}

				} catch (ex) {
					var tip = typeof ex == "string" ? ex : ex.errMsg;
					uni.showModal({
						title: this.translateSys("error") + "4.1",
						content: this.translate('execute_after_change_event_failed') + this.translateSys(
								"comma") +
							this.translate('reason') + this.translateSys("colon") + tip,
						showCancel: false,
						confirmText: this.translateSys('close')
					});

				}
			},

			/**
			 * 只支持["column1='A' or column2='B'", "column3='C' and column4='D'", "column5='E'"]这种格式
			 * {
			 *     "model": 0 / 1,
			 *     "condition":
			 *     [
			 *         [
			 *             { },
			 *             { },
			 *             { }
			 *         ],
			 *         [
			 *             { }
			 *         ],
			 *         [
			 *             { }
			 *         ]
			 *     ]
			 * }
			 */
			toWhereBase64String(list) {
				if (typeof list == 'string') list = [list]
				var sql = []
				var seps = [' not in', ' in', '<>', '!=', '<=', '>=', '<', '=', '>', ' like']
				list.forEach(ls => {
					var where = ls.trim()
					if (where.startsWith('(') && where.endsWith(')')) where = where.replace(/^\(/, '').replace(
						/\)$/, '')
					if (where.toLowerCase().includes(' and ')) {
						// 二级and放在第一级数组中
						where.split(/ and /i).forEach(li => {
							var l = li.trim()
							if (l.startsWith('(') && l.endsWith(')')) l = l.replace(/^\(/, '').replace(
								/\)$/, '')
							var sep = ''
							for (var i = 0; i < seps.length; i++) {
								if (l.toLowerCase().includes(seps[i])) {
									sep = seps[i]
									break
								}
							}
							if (sep) {
								var values = l.split(new RegExp(sep, 'i'))
								var field = values[0]?.trim().replace(/^\[/, '').replace(/\]$/, '')
								var value = ''
								var op = sep.trim()

								if ([' in', ' not in'].includes(sep) && values[1]?.toLowerCase().includes(
										'select ') && values[1]?.toLowerCase().includes(' from ')) {
									value = l.replace(field, '').replace(/^\s*(in|not in)\s*/i, '').trim()
									if (value.startsWith('(') && value.endsWith(')')) value = value
										.replace(/^\(/, '').replace(/\)$/, '').trim()
								} else {
									value = values[1]?.trim().replace(/^\'/, '').replace(/\'$/, '')

									if (['in', 'not in'].includes(op)) {
										value = value.replace(/^\(/, '').replace(/\)$/, '')
										value = value.split(',').map(v => v.trim().replace(/^\'/, '')
											.replace(/\'$/, ''))
									}
								}
								sql.push([{
									field,
									value,
									op
								}])
							}
						})
					} else if (where.toLowerCase().includes(' or ')) {
						// 二级or放在第二级同一组数组中
						var s = []
						where.split(/ or /i).forEach(li => {
							var l = li.trim()
							if (l.startsWith('(') && l.endsWith(')')) l = l.replace(/^\(/, '').replace(
								/\)$/, '')
							var sep = ''
							for (var i = 0; i < seps.length; i++) {
								if (l.toLowerCase().includes(seps[i])) {
									sep = seps[i]
									break
								}
							}
							if (sep) {
								var values = l.split(new RegExp(sep, 'i'))
								var field = values[0]?.trim().replace(/^\[/, '').replace(/\]$/, '')
								var value = ''
								var op = sep.trim()

								if ([' in', ' not in'].includes(sep) && values[1]?.toLowerCase().includes(
										'select ') && values[1]?.toLowerCase().includes(' from ')) {
									value = l.replace(field, '').replace(/^\s*(in|not in)\s*/i, '').trim()
									if (value.startsWith('(') && value.endsWith(')')) value = value
										.replace(/^\(/, '').replace(/\)$/, '').trim()
								} else {
									value = values[1]?.trim().replace(/^\'/, '').replace(/\'$/, '')

									if (['in', 'not in'].includes(op)) {
										value = value.replace(/^\(/, '').replace(/\)$/, '')
										value = value.split(',').map(v => v.trim().replace(/^\'/, '')
											.replace(/\'$/, ''))
									}
								}
								sql.push([{
									field,
									value,
									op
								}])
							}
						})
						sql.push(s)
					} else {
						var li = where
						// 单一查询条件直接放在第一级数组中
						var l = li.trim()
						if (l.startsWith('(') && l.endsWith(')')) l = l.replace(/^\(/, '').replace(/\)$/, '')
						var sep = ''
						for (var i = 0; i < seps.length; i++) {
							if (l.toLowerCase().includes(seps[i])) {
								sep = seps[i]
								break
							}
						}
						if (sep) {
							var values = l.split(new RegExp(sep, 'i'))
							var field = values[0]?.trim().replace(/^\[/, '').replace(/\]$/, '')
							var value = ''
							var op = sep.trim()

							if ([' in', ' not in'].includes(sep) && values[1]?.toLowerCase().includes('select ') &&
								values[1]?.toLowerCase().includes(' from ')) {
								value = l.replace(field, '').replace(/^\s*(in|not in)\s*/i, '').trim()
								if (value.startsWith('(') && value.endsWith(')')) value = value.replace(/^\(/, '')
									.replace(/\)$/, '').trim()
							} else {
								value = values[1]?.trim().replace(/^\'/, '').replace(/\'$/, '')

								if (['in', 'not in'].includes(op)) {
									value = value.replace(/^\(/, '').replace(/\)$/, '')
									value = value.split(',').map(v => v.trim().replace(/^\'/, '').replace(/\'$/,
										''))
								}
							}
							sql.push([{
								field,
								value,
								op
							}])
						}
					}
				})

				if (sql.length > 0)
					return Base64.encode(JSON.stringify({
						model: 1,
						condition: sql
					}))
				else
					return ''
			},

			cancel(e) { //取消
				var eventChannel = this.$scope.eventChannel;
				// const eventChannel = this.getOpenerEventChannel();
				eventChannel.emit('ExitViewEvent', "");
				uni.navigateBack({
					delta: 1, //返回层数，2则上上页
				});
			},
			translate(t) {
				if (typeof this.$t == "function") return this.$t(`page.${t}`)
				else return t;
			},
			translateSys(t) {
				if (typeof this.$t == "function") return this.$t(`sys.${t}`)
				else return t;
			},

		},
	};
</script>

<style lang="scss">
	.uni-page-modal-3200-view {
		.v-headStyle .txt_title {
			font-size: 34rpx;
			text-align: right;
			display: inline-block;
			vertical-align: 12px;
		}

		.v-headStyle input {
			display: inline-block;
			/* border: 1px solid #d5d5d5; */
			/* width: 65%; */
			width: 85%;
			height: 52rpx;
			line-height: 34rpx;
			background: #FFF;
			border-radius: 0 !important;
			color: #2d8cf0;
			padding: 10rpx 8rpx 12rpx;
			font-size: 34rpx;
			font-family: inherit;
			box-shadow: none !important;
			transition-duration: 0.1s;
			margin-top: 4rpx;
		}

		.v-headStyle input::-webkit-input-placeholder {
			font-size: 12rpx;
		}

		.input-wrapper {
			border: 1px solid #d5d5d5;
			display: inline-block;
			width: 65%;
			line-height: 22rpx;
		}

		[nvue] uni-view {
			position: relative;
			border: 0 solid #000;
			box-sizing: border-box;
		}

		.uni-input {
			/* border: none; */
		}

		.uni-icon {
			/* border: 1px solid red; */
			width: 30rpx;
			padding: 10rpx 5rpx;
			font-family: uniicons;
			font-size: 40rpx;
			font-weight: 400;
			font-style: normal;
			/* width: 48rpx; */
			height: 48rpx;
			line-height: 48rpx;
			color: #2d8cf0;
			cursor: pointer;
			display: inline-block;
			vertical-align: 18rpx;
		}

		.v-content {
			height: 945rpx;
			overflow: auto;
			/* border:1px solid red; */
		}

		/* .dv-panel-bkcolor{
  background-color:#efefef;
} */
		.dv-panel {
			/* background-color:#efefef; */
			padding: 20rpx 20rpx 4rpx 0px;
			border-radius: 12rpx;
			margin-bottom: 20rpx;
			text-align: right;
		}

		.dv-panel-input {
			vertical-align: middle;
			width: 100%;
			display: inline-block;
			text-align: left;
		}

		.dv-panel-buticon {
			line-height: 25px;
			text-align: left;
			/* font-size: 17px; */
			padding: 0 15px;
		}

		.dv-panel-buticon .btn-padding {
			padding: 10px;
			display: inline-block;
			vertical-align: middle;
		}

		.dv-panel-buticon a i {
			font-size: 22px;
		}

		.dv-panel-buticon button {
			min-width: 60px;
			font-size: 16px;
			padding: 20rpx 20rpx;
			line-height: 1;
			background: #4D6AF4;
			border: none;
			color: #fff;
			font-weight: bold;
			border-radius: 4px;
		}

		.dv-panel .txt_title {
			font-size: 34rpx;
			text-align: right;
			display: inline-block;
			margin-bottom: 15rpx;
		}

		.dv-panel input {
			vertical-align: middle;
			display: inline-block;
			border: 1px solid #d5d5d5;
			width: 68%;
			height: 52rpx;
			line-height: 34rpx;
			background: #FFF;
			border-radius: 7px !important;
			color: #2d8cf0;
			padding: 6rpx 8rpx 8rpx;
			font-size: 32rpx;
			font-family: inherit;
			box-shadow: none !important;
			transition-duration: 0.1s;
			margin-top: 0rpx;
		}

		.dv-panel input::-webkit-input-placeholder {
			font-size: 10rpx;
		}

		.dv-panel .form-item-span {
			vertical-align: text-top;
			color: #2d8cf0;
			white-space: normal;
			word-break: break-all;
			display: inline-block;
			width: calc(100% - 100px);
		}

		.dv-panel-button {
			display: inline-block;
		}

		.dv-panel-button checkbox-group {
			display: inline-block;
		}

		.dv-panel-button a i {
			font-size: 18px;
		}

		.dv-panel-button button {
			height: 25px;
			font-size: 13px;
			padding: 0 12px;
		}

		.view-floor {
			text-align: center;
			padding: 0 20rpx;
			margin-top: 25rpx;
			/* border:1px solid red; */
		}

		button.btn_refresh {
			width: 48%;
			margin-top: 25rpx;
			padding: 20rpx;
			line-height: 1.5;
			background: #27A6E1;
			border: none;
			color: #fff;
			font-size: 38rpx;
			font-weight: bold;
			/* float: left; */
			display: inline-block;
			margin: 0 3px;
		}

		button.btn_disabled {
			background-color: #ddd;
			color: #888;
		}

		button.btn_cancel {
			width: 49.5%;
			margin-top: 25rpx;
			padding: 20rpx;
			line-height: 1.5;
			// background: #fff;
			// border: none;
			// color: #000;
			font-size: 38rpx;
			font-weight: bold;
			float: left;
			display: inline-block;
			margin-right: 10px;
		}

		.bk-active {
			background-color: #D6FCB2;
		}

		.uni-padding-wrap {
			margin-top: -4rpx;
			background-color: #98DAEA;
			width: 52px;
			height: 40px;
			text-align: center;
			border-radius: 27px;
			padding: 12px 0 0px 0;
			float: right;
			display: inline-block;
		}

		.uni-padding-wrap a {
			font-size: 20px;
		}

		.dv-viewHtml-Panel .item-label {
			padding: 3px 5px;
			width: 90px;
			display: inline-block;
			text-align: right;
		}

		.dv-viewHtml-Panel .item-span {
			// line-height: 30px;
			color: #2d8cf0;
		}

		.demo-uni-row {
			margin-bottom: 0px;
			display: block;
		}

		::v-deep .uni-row {
			margin-bottom: 0px;
		}

		.view-tabpage ::v-deep .uni-row {
			margin-bottom: 5px;
		}

		.demo-uni-col {
			height: 36px;
			border-radius: 5px;
		}

		.demo-uni-row .uni-input {
			width: calc(100% - 120px);
		}
	}
</style>